<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Banners</title>
    <style>
      .image-to-show {
        width: 400px;
        height: 400px;
        display: none;
      }

      .images-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
      }
    </style>
  </head>
  <body>
    <div class="images-wrapper">
      <img src="./img/1.jpg" alt="image of game" class="image-to-show" />
      <img src="./img/2.jpg" alt="image of game" class="image-to-show" />
      <img src="./img/3.JPG" alt="image of game" class="image-to-show" />
      <img src="./img/4.png" alt="image of game" class="image-to-show" />
    </div>
     <button id="play">Возобновить показ</button>
     <button id="pause">Прекратить</button>

    <script>
      let images = document.getElementsByClassName('image-to-show');
      let index = 0;
      let playBtn = document.getElementById('play');
      let pauseBtn = document.getElementById('pause');
      
      start();

function start() {
      let timerId = setInterval(function(){
        for(let i = 0; i<images.length;i++){
          images[i].style.display="none";
        }
        images[index].style.display="block";
        index++;
        if(index == 4) {
          index = 0;
        }
        console.log(index)
        pause.addEventListener('click', pauseFunc);
      function pauseFunc(){
        clearTimeout(timerId)
      };
      }, 1000);

      }
      play.addEventListener('click', playFunc);
      function playFunc(){
        clearTimeout(timerId)
        start();
      }
    </script>
  </body>
</html>